<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        
        
 
        
        

        
    </head>
   
    <body>
               <style type="text/css">
                   
                   .tr_impar{
                background-color: #b0b966 ; 
            }

            .tr_par{
                background-color: antiquewhite;
            }
            .negrito_branco{
                color: white;
                font-weight: bolder;
            }
            .esconder{
                display: none ; 
            }

            .not_found{
                text-align: center ; 
                color: red; 
                font-weight: bolder; 
                background-color: #ffffff;
                font-size: 20pt;
            }


                   
                   
                   
           
        *{
			margin: 0;
			padding: 0;
			box-sizing: border-box;
		}
		body, html{
			width: 100%;
			height: 100%;
			font-family: sans-serif;
			font-size:22px;
			line-height: 1.3;
		}
		.bg_video{
			position: fixed; 
			right: 0; 
			bottom: 0;
			min-width: 100%; 
			min-height: 100%;
			width: auto; 
			height: auto; 
			z-index: -1000;
			background: url(https://storage.googleapis.com/coverr-main/mp4/Mt_Baker.mp4) no-repeat;
			background-size: cover; 
		}
		.body{
			padding:20px;
			background: rgba(255,255,255,0.9);
			margin: 30% auto 20px auto;
			max-width: 960px;
			border-radius: 10px;
		}
		.body h1{
			font-family: Georgia, serif;
			font-size:40px;
		}
		.body p{
			margin: 1.6em 0;
		}
    
.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 500ms;
  visibility: hidden;
  opacity: 0;
}
.overlay:target {
  visibility: visible;
  opacity: 1;
}

.popup {
  margin: 70px auto;
  padding: 20px;
  background: #fff;
  border-radius: 5px;
  width: 30%;
  position: relative;
  transition: all 5s ease-in-out;
}

.popup h2 {
  margin-top: 0;
  color: #333;
  font-family: Tahoma, Arial, sans-serif;
}
.popup .close {
  position: absolute;
  top: 20px;
  right: 30px;
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #333;
}
.popup .close:hover {
  color: #06D85F;
}
.popup .content {
  max-height: 30%;
  overflow: auto;
}

@media screen and (max-width: 700px){
  .box{
    width: 70%;
  }
  .popup{
    width: 70%;
  }
}            
                
                
         
            
#customers {
  font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
  
  border-collapse: collapse;
  width: 100%;
}

#customers td, #customers th {
  border: 1px solid #ddd;
  padding: 8px;
}

#customers tr:nth-child(even){background-color: #f2f2f2;}

#customers tr:hover {background-color: #ddd;}

#customers th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #82b2ff;
  color: white;
}


.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}

.tooltip .tooltiptext { 
  visibility: hidden;
  width: 120px;
  background-color: #555;
  color: #ffff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
  
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
  

</style>
        
        <script type="text/javascript">
            $('document').ready(function () {
                $('tbody tr:even').addClass('tr_par');
                $('tbody tr:odd').addClass('tr_impar');
            });



            function imprimir() {


                var linhas = $('tbody tr');

                for (var i = 0; i < linhas.length; i++) {
                    $(linhas[i]).css('display', 'none');
                }


            }


            function pesquisar() {

                $('#msg').text('');
                $('.not_found').css('display', 'none');
                
                var txtPesquisa = $('#txtPesquisa').val().trim().toUpperCase();


                if (txtPesquisa !== '') {

                    var linhas = $('tbody tr');
                    linhas.removeClass('esconder');

                    for (var i = 0; i < linhas.length - 1; i++) {
                        if (txtPesquisa !== linhas[i].cells[1].innerText.toUpperCase()) {
                            $(linhas[i]).addClass('esconder');
                        }
                    }

                    if (linhas.length - 1 === $('.esconder').length) {
                        $('.not_found').css('display', '');
                    }


                } else {
                    $('#msg').text('Favor Informar parametro para pesquisa!');
                    $('tbody tr').removeClass('esconder');
                }
            }




        </script>
        
        <video autoplay loop poster="large.mp4" class="bg_video">
			
			<source src="https://storage.googleapis.com/coverr-main/mp4/Mt_Baker.mp4" type="video/mp4">
		
        </video>	

        <center>
         Classe: <input id="txtPesquisa" type="text" name="" value="" /> 
                <input type="button" onclick="pesquisar();" value="Pesquisar" /> 
                <span id="msg" style="margin-left: 20px ;  color: red; font-weight: bolder"></span>

        <br />

        </center>
        <br> 
         <br>
        
        
    
         <table id="customers">
     <thead>
                <tr >
                    <th>Codigo</th>
                    <th>Classe</th>
                    <th>Descricao</th>
                    <th>Link</th>
                </tr>
            </thead>

      
    <tbody>
        <tr>
            <td>01</td>
            <td><a class="button" href="#popup2">.text-warning</a></td>
            
            <td>A .wellclasse adiciona uma borda arredondada 
                ao redor de um elemento com uma cor de fundo 
                cinza e algum preenchimento:</td>
                        
                        <td><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_well&stacked=h"> 
                            <div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     w3schools
                                </span>
                            </div>
                            </a>
                        </td>
        </tr>
       
        <tr>
            <td>02</td>
            <td><a class="button" href="#popup3">.well-lg</a></td>
            <td>A .wellclasse adiciona uma borda 
                arredondada ao redor de um elemento 
                com uma cor de fundo cinza e algum preenchimento
            </td>
                <td><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_well_size&stacked=h">
                       <div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     w3schools
                                </span> 
                    </a>
                </td>
        </tr>
        
        <tr>
        <td>03</td>
        <td><a class="button" href="#popup3">.well</a></td>
        <td>A .wellclasse adiciona uma borda 
            arredondada ao redor de um elemento 
            com uma cor de fundo cinza e algum preenchimento
        </td>
        <td>
            <a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_well&stacked=h">
                <div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     w3schools
                                </span>
            </a>
        </td>
        </tr>
        
        <tr>
        <td>04</td>
        <td><a class="button" href="#popup4">.warning</a></td>
        <td>O Bootstrap fornece uma maneira fácil 
            de criar mensagens de alerta predefinidas</td>
         <td>
             <a href="https://www.w3schools.com/w3css/tryit.asp?filename=tryw3css_alerts">
                 <div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     w3schools
                                </span>
             </a>
         </td>  
        </tr>
  
        <tr>
            <td>05</td>
            <td><a class="button" href="#popup5">.hidden-print</a></td>
    <td>Suportamos propositalmente apenas um subconjunto
        de todos os valores possíveis para display.</td>
    <td><a href="https://getbootstrap.com.br/docs/4.0/utilities/display/">
            <div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     getbootstrap
                                </span>
        </a></td> 
  </tr>

  <tr>
    <td>06</td>
    <td><a class="button" href="#popup6">.visible-*</a></td>
    <td>utilitários de visibilidade</td>
    <td><a href="https://www.w3schools.com/cssref/tryit.asp?filename=trycss_visibility">
            <div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     getbootstrap
                                </span>
        </a></td> 
  </tr>

  <tr>
    <td>07</td>
    <td><a class="button" href="#popup7">.tooltip</a></td>
    <td>Faz um comentario sobre o texto</td>
    <td><a href="https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_tooltip">
            <div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     w3schools
                                </span>
        </a></td> 
  </tr>

  <tr>
    <td>08</td>
    <td><a class="button" href="#popup8">.thumbnail</a></td>
    <td>Em combinação com atributos de dados, 
        você pode criar uma imagem em miniatura ,
        com título e descrição usando apenas uma 
        única linha de código HTML. </td>
    <td><a href="https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_thumbnail_image">
        <div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     w3schools
                                </span>
        </a>
    </td> 
  </tr>

  <tr>
    <td>09</td>
    <td><a class="button" href="#popup9">.thumbnail</a></td>
    <td>classe adiciona uma borda arredondada 
        ao redor de um elemento com uma cor de 
        fundo cinza e algum preenchimento</td>
   <td><a href="https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_thumbnail_image"><div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     w3schools
                                </span></a></td> 
  </tr>
  
  <tr>
    <td>10</td>
    <td><a class="button" href="#popup10">.text-warning</a></td>
    <td>classe adiciona uma borda 
        arredondada ao redor de um 
        elemento com uma cor de fundo 
        cinza e algum preenchimento</td>
    <td><a href="https://www.w3schools.com/bootstrap4/tryit.asp?filename=trybs_txt_colors&stacked=h"><div class="tooltip">Exemplo
                                <span class="tooltiptext">
                                     w3schools
                                </span></a></td> 
    
  </tr>
        
  
  
       
  
  
  
  
  
    <div id="popup1" class="overlay">
     
        <div class="popup">
		<h2>.text-warning</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
			classe adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento
		</div>
	</div>
    </div>
      
      
      
    <div id="popup2" class="overlay">   
        <div class="popup">
		<h2>.well-lg</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
			A .wellclasse adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento
                </div>
        </div>
    </div>
    <div id="popup3" class="overlay">   
        <div class="popup">
		<h2>.well</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
			A .wellclasse adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento
                </div>
        </div>
    </div>
    
  <div id="popup4" class="overlay">   
        <div class="popup">
		<h2>.warning</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
                    O Bootstrap fornece uma maneira fácil de criar mensagens de alerta predefinidas
                </div>
        </div>
    </div>
    
  <div id="popup5" class="overlay">   
        <div class="popup">
		<h2>.hidden-print</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
		Suportamos propositalmente apenas um subconjunto de todos os valores possíveis para display.
                </div>
        </div>
    </div>
    <div id="popup6" class="overlay">   
        <div class="popup">
		<h2>.visible-*</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
                    utilitários de visibilidade
		</div>
        </div>
    </div>
    <div id="popup7" class="overlay">   
        <div class="popup">
		<h2>.tooltip</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
                    Faz um comentario sobre o texto
                </div>
        </div>
    </div>
    
  <div id="popup8" class="overlay">   
        <div class="popup">
		<h2>.thumbnail</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
		Em combinação com atributos de dados, você pode criar uma imagem em miniatura , com título e descrição usando apenas uma única linha de código HTML.
                </div>
        </div>
    </div>
    
    <div id="popup9" class="overlay">   
        <div class="popup">
		<h2>.thumbnail</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
                    classe adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento
                </div>
        </div>
    </div>
    <div id="popup10" class="overlay">   
        <div class="popup">
		<h2>.text-warning</h2>
		<a class="close" href="#">&times;</a>
		<div class="content">
		classe adiciona uma borda arredondada ao redor de um elemento com uma cor de fundo cinza e algum preenchimento
                </div>
        </div>
    </div>
    
   <tr >
                    <td 
                        colspan="4" 
                        class="not_found"
                        style="display: none;"
                        >
                        Não foram encontados resultados !!!
                    </td>
                </tr>

      
      
      
</div>
  
                          
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
          
  
  

            
         
            
   </tbody>
        
    </body>
</html>
